#![allow(unused)]
#![allow(special_module_name)]

use std::io::{stdin, Read};

use chumsky::Parser;
use lib::parse::{ast::Program, token::Tok};

mod lib;

fn main() {
	unsafe { backtrace_on_stack_overflow::enable() };

	let mut line = String::new();
	stdin().read_to_string(&mut line);
	let toks = Tok::parse_all().parse(line).unwrap();
	let toks = toks.into_iter().map(|(t, r)| t).collect::<Vec<_>>();
	let program = Program::parser().parse(toks);
	dbg!(program);
}
